> For the complete documentation index, see [llms.txt](https://xaigate.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://xaigate.gitbook.io/api-docs/api-documentation/get-wallet-balance.md).

# Get Wallet Balance

The getBalance API is a RESTful API endpoint that allows you to retrieve the current balance of a user's cryptocurrency wallet.

<mark style="color:green;">`POST`</mark> `https://wallet-api.xaigate.com/api/v1/getBalance`

**Parameter content type: application/json**

#### Request Body

| Name                                     | Type   | Description                          |
| ---------------------------------------- | ------ | ------------------------------------ |
| apiKey<mark style="color:red;">\*</mark> | String | fdda9f03-6409-43eb-a6ef-e1f6cea71c2e |
| userId<mark style="color:red;">\*</mark> | String | 097f35dd-a806-43ef-ab0d-f121cb11567e |
| coin<mark style="color:red;">\*</mark>   | Stirng | ETH                                  |

{% tabs %}
{% tab title="200 Success" %}

```javascript
{
    "name"="Wilson",
    "owner": {
        "id": "sha7891bikojbkreuy",
        "name": "Samuel Passet",
    "species": "Dog",}
    "breed": "Golden Retriever",
}
```

{% endtab %}

{% tab title="401 UNAUTHORIZED" %}

{% endtab %}
{% endtabs %}

### Request Parameter <a href="#request-parameter" id="request-parameter"></a>

| **Parameter**                                     | **Type** | **Sample Value** |
| ------------------------------------------------- | -------- | ---------------- |
| apiKey <mark style="color:red;">(required)</mark> | String   | ​                |
| userId <mark style="color:red;">(required)</mark> | String   | ​                |
| coin <mark style="color:red;">(required)</mark>   | String   | ​                |

### Example Value <a href="#example-value-1" id="example-value-1"></a>

```
{
  "apiKey": "033e15ee-3de7-4a93-800a-ae131b73c237",
  "userId": "b3e36e1a-296f-4198-bda1-180c51aff14a",
  "coin": "ETH"
}
```

### Response (<mark style="color:green;">200 Ok</mark> - https status code) <a href="#response-200-ok-https-status-code" id="response-200-ok-https-status-code"></a>

| **Response**  | **Type** | **Sample Value** |
| ------------- | -------- | ---------------- |
| balance       | String   | ​                |
| coinShortName | String   | ​                |

### Example Value <a href="#example-value-1" id="example-value-1"></a>

```
{
  "balance": "1",
  "coinShortName": "ETH"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://xaigate.gitbook.io/api-docs/api-documentation/get-wallet-balance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
